Bug 44121 - SSO Login page shows servername
SSO Login page shows servername
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Jannik Ahlers
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-29 10:08 CEST by Erik Damrose
Modified: 2017-12-06 15:40 CET (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments
visible servername (21.41 KB, image/png)
2017-03-29 10:08 CEST, Erik Damrose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2017-03-29 10:08:22 CEST
Created attachment 8677 [details]
visible servername

If i login without SSO, the login page header says "Login at ucs.local" where ucs.local is my domainname. If logging in via SSO, i.e. clicking on the UMC link at the ucs master portal, my ucs backup may be the login server. The login page then shows "Login at backup.ucs.local", see screenshot. While that is technically true, it may be confusing for the user. I think the for SSO domainname should always be shown.
Comment 1 Jannik Ahlers univentionstaff 2017-11-24 12:20:04 CET
Fixed in branch jahlers/44121-sso-domainname
Comment 2 Florian Best univentionstaff 2017-11-29 15:48:58 CET
You can merge the changes. Please adjust the description in the YAML to
something like the following:

On the single-sign on login page only the domainname instead of the servers hostname is now shown.
Comment 3 Florian Best univentionstaff 2017-11-30 14:36:42 CET
OK: the domainname is now only shown.
OK: YAML
Comment 4 Arvid Requate univentionstaff 2017-12-06 15:40:15 CET
<http://errata.software-univention.de/ucs/4.2/236.html>